Subject: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Oct 2020 17:57:24 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 02 Oct 2020 16:10:41 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > How about making char-displayable-p accept an optional argument, a
> > frame for which to perform the test?
> 
> I thought char-displayable-p worked based on the current frame?

The selected-frame, yes.  I though that wasn't good enough in this
case, but maybe I was confused?  If the latter, what exactly is the
problem that caused you to say "The variable doesn't work as is
(because of the problem of mixed frames)"?